<div class="submenu">
    <ul class="submenu__list">
        {% set params = [] %}
        {% for key, param in app.request.query.all %}
            {% set params = params|merge([key ~ '=' ~ param]) %}
        {% endfor %}

        {% for item in submenu %}
            {% set link = item.link %}
            {% if params is not empty %}
                {% set link = link ~ '?' ~ params|join('&') %}
            {% endif %}
            <li class="submenu__item"><a href="{{ link }}" class="submenu__link {% if item.active %} active {% endif %}">{{ item.title }}</a></li>
        {% endfor %}
    </ul>
</div>